<?php
/**
 *
 * Module for booklibrary
 * @version 1.5
 * @package Booklibrary
 * @copyright 2010 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com);
 * Homepage: http://www.ordasoft.com
 *
 **/

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Restricted access' );

if( !function_exists( 'sefreltoabs')) {
    function sefRelToAbs( $value ) {
        //Need check!!!

        // Replace all &amp; with & as the router doesn't understand &amp;
        $url = str_replace('&amp;', '&', $value);
        if(substr(strtolower($url),0,9) != "index.php") return $url;
        $uri    = JURI::getInstance();
        $prefix = $uri->toString(array('scheme', 'host', 'port'));
        return $prefix.JRoute::_($url);
    }
}

if (array_key_exists("option", $_GET) && array_key_exists("task", $_GET))
{
if ($_GET["option"] == "com_booklibrary" && $_GET["task"] == "view")
{
    if (array_key_exists("id",  $_REQUEST ) )
    {
        $id = intval($_REQUEST["id"]);
        $selectstring = "SELECT authors FROM #__booklibrary as a WHERE a.id=".$id;
        $database = &JFactory::getDBO();
        $database->setQuery($selectstring);
        $rows = $database->loadObjectList();

        $countLimit = intval($params->get('count', 5));
        $moduleclass_sfx = $params->get('moduleclass_sfx', '');
        $g_words = $params->get('words','');
        $showtitle = $params->get ('showtitle', '');
        $showauthor = $params->get ('showauthor', '');
        $showcover = $params->get ('showcover', 1);
        $displaytype = $params->get ('displaytype', 0);
        $coversize = $params->get ('coversize', '127');

        $selectstring = "SELECT * FROM #__booklibrary AS a " .
                " WHERE a.authors LIKE '%".$rows[0]->authors."%' " . " and a.id != " . $id .
                " ORDER BY hits DESC LIMIT 0,".$countLimit." ;";//10;";

        $selectstring1 = "SELECT id FROM #__menu WHERE link='index.php?option=com_booklibrary'";
        $database->setQuery($selectstring1);
        $ItemId_tmp = $database->loadResult();

        $database->setQuery($selectstring);
        $rows = $database->loadObjectList();
        
        if (count($rows) > 0) {
            ?>
<table cellpadding="0" cellspacing="0" class="moduletable" width="100%">
    <tr>
        <td>
            <table cellpadding="0" cellspacing="0" class="moduletable" width="100%">
            <?php foreach ($rows as $row) {
                    $link1 = "index.php?option=com_booklibrary&amp;task=view&amp;id=".$row->id."&amp;Itemid=".$ItemId_tmp."&amp;catid=".$row->catid;

                    //for local images
                    $imageURL = $row->imageURL;
                    if($imageURL != '' && substr($imageURL,0,4) != "http") {
                        $imageURL = JURI::base() . $row->imageURL;
                        ;
                    }
                    if($imageURL == '') {
                        $imageURL = "./components/com_booklibrary/images/no-img_eng.gif";
                    }

                    if($displaytype==1) { // Display Horizontal
                        if($showcover==1) {
                            ?>

                <td>
                    <a href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">
                        <img src="<?php echo $imageURL; ?>"  hspace="15" vspace="2" border="0" height="<?php echo $coversize; ?>" /></a>
                </td>
                    <?php
                }
                ?>
                <td valign="top">
                    <p><strong>
                <?php
                if ($showtitle == "1") {
                    echo $row->title;
                } else {
                    print "&nbsp;";
                }
                ?></strong><br/>By&nbsp;
                <?php
                if ($showauthor == "1") {
                    echo $row->authors;
                } else {
                        print "&nbsp;";
                    }
                    ?>                    
                    <p><a class="readon" href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">Read Reviews...</a></p>
                    <?php
                } else {
                //Display Vertical
                ?>


                <tr valign="top">
                    <td>
                        <a href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">
                        <?php if($showcover==1) { ?>
                            <img src="<?php echo $imageURL; ?>"  hspace="2" vspace="2" border="0" height="<?php echo $coversize; ?>" /></a>
                            <?php } //End Show Image If?>
                            
                        <?php
                        if ($showtitle == "1") {
                            echo "<br /><strong>".$row->title."</strong>";
                        } else {
                            echo "<br />&nbsp;";
                        }
                        ?>
                        <?php
                    if ($showauthor == "1") {
                        echo "<br />".$row->authors;
                    } else {
                        echo "&nbsp;";
                    }
                    ?>
                        <br />                        
                        <a class="readon" href="<?php echo sefRelToAbs( $link1 ); ?>" target="_self">Read Reviews...</a>
                    </td>
                </tr>
                <tr> <td>&nbsp; </td>
                </tr>
                    <?php
                    } //End Display If
                ?>
                <?php
                if($displaytype==1) { // Display Horizontal
                    ?>
                   </tr>
                    <?php
                }
            }
                ?>
                 </table>
                <?php
        }
    }
}
}


?>